# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN.pm) perl(Class/Accessor.pm) perl(Config.pm) perl(Cwd.pm) perl(Exporter.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(Fcntl.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(File/Spec.pm) perl(File/Temp.pm) perl(FileHandle.pm) perl(HTTP/MobileAgent.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl(Parse/CPAN/Meta.pm) perl(Pod/Usage.pm) perl(Socket.pm) perl(Test/Base.pm) perl(Test/More.pm) perl(WWW/MobileCarrierJP.pm) perl(WWW/MobileCarrierJP/DoCoMo/Flash.pm) perl(WWW/MobileCarrierJP/EZWeb/DeviceID.pm) perl(WWW/MobileCarrierJP/EZWeb/Model.pm) perl(WWW/MobileCarrierJP/ThirdForce/Flash.pm) perl(WWW/MobileCarrierJP/ThirdForce/HTTPHeader.pm) perl(WWW/MobileCarrierJP/ThirdForce/Service.pm) perl(WWW/MobileCarrierJP/ThirdForce/UserAgent.pm)
BuildRequires: perl(YAML.pm) perl(YAML/Syck.pm) perl(YAML/Tiny.pm) perl(base.pm) perl(inc/Module/Install.pm)
# END SourceDeps(oneline)
%define module_version 0.20
%define module_name HTTP-MobileAgent-Flash
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.20
Release: alt1
Summary: Flash information for HTTP::MobileAgent
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/Y/YO/YOSHIMI/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
This module adds `flash', `is_flash' method to HTTP::MobileAgent

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name


%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build INSTALLMAN1DIR=%_man1dir

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/H*

%files scripts
%_bindir/*
%_man1dir/*

%changelog
* Sat May 03 2014 Igor Vlasenko <viy@altlinux.ru> 0.20-alt1
- initial import by package builder

